Diligent Engine API Reference: Diligent::TextureFormatInfoExt Struct Reference

Diligent Engine API Reference

Public Member Functions | Public Attributes | List of all members
Diligent::TextureFormatInfoExt Struct Reference

Extended texture format description. More...

Inheritance diagram for Diligent::TextureFormatInfoExt:

## Public Member Functions
| TextureFormatInfoExt ()
| Initializes the structure with default values.
Public Member Functions inherited from Diligent::TextureFormatInfo
| TextureFormatInfo ()
| Initializes the structure with default values.
Public Member Functions inherited from Diligent::TextureFormatAttribs
| TextureFormatAttribs (TEXTURE_FORMAT _Format=TEX_FORMAT_UNKNOWN, const Char *_Name="TEX_FORMAT_UNKNOWN", Uint32 _ComponentSize=0, Uint32 _NumComponents=0, COMPONENT_TYPE _ComponentType=COMPONENT_TYPE_UNDEFINED)
| Initializes the structure.

## Public Attributes
bool | Filterable
| Indicates if the format can be filtered.
bool | ColorRenderable
| Indicates if the format can be used as a render target format.
bool | DepthRenderable
| Indicates if the format can be used as a depth format.
bool | Tex1DFmt
| Indicates if the format can be used to create a 1D texture.
bool | Tex2DFmt
| Indicates if the format can be used to create a 2D texture.
bool | Tex3DFmt
| Indicates if the format can be used to create a 3D texture.
bool | TexCubeFmt
| Indicates if the format can be used to create a cube texture.
bool | SupportsMS
| Indicates if the format can be used to create a multisampled 2D texture.
Public Attributes inherited from Diligent::TextureFormatInfo
bool | Supported
| Indicates if the format is supported by the device.
Public Attributes inherited from Diligent::TextureFormatAttribs
TEXTURE_FORMAT | Format
| Texture format, see Diligent::TEXTURE_FORMAT for a list of supported texture formats.
const Char * | Name
| Literal texture format name (for instance, for TEX_FORMAT_RGBA8_UNORM format, this will be "TEX_FORMAT_RGBA8_UNORM")
Uint32 | ComponentSize
| Size of one component in bytes (for instance, for TEX_FORMAT_RGBA8_UNORM format, this will be 1) For compressed formats, this is the block size in bytes (for TEX_FORMAT_BC1_UNORM format, this will be 8)
Uint32 | NumComponents
| Number of components.
COMPONENT_TYPE | ComponentType
| Component type, see Diligent::COMPONENT_TYPE for details.

## Detailed Description

Extended texture format description.

This structure is returned by IRenderDevice::GetTextureFormatInfoExt()